Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.io.dataformat
Class DataFormatInstance

    java.lang.Object
      org.maltparser.core.io.dataformat.DataFormatInstance

All Implemented Interfaces:
  Iterable<ColumnDescription>

    public class DataFormatInstance

extends Object
implements Iterable<ColumnDescription>

Since:
  1.0
Author:
  Johan Hall

Constructor Summary
`DataFormatInstance(Map<String,DataFormatEntry> entries, SymbolTableHandler symbolTables, String nullValueStrategy, DataFormatSpecification spec)`

Method Summary
`ColumnDescription` | `addInternalColumnDescription(String name, ColumnDescription column)`
`ColumnDescription` | `addInternalColumnDescription(String name, int category, int type, String defaultOutput, String nullValueStrategy)`
`ColumnDescription` | `addInternalColumnDescription(String name, String category, String type, String defaultOutput, String nullValueStrategy)`
`protected void` | `createDependencyEdgeLabelColumnDescriptions()`
`protected void` | `createDependencyEdgeLabelSymbolTables()`
`protected void` | `createHeadColumnDescriptions()`
`protected void` | `createIgnoreColumnDescriptions()`
`protected void` | `createInputColumnDescriptions()`
`protected void` | `createInputSymbolTables()`
`protected void` | `createPhraseStructureEdgeLabelColumnDescriptions()`
`protected void` | `createPhraseStructureEdgeLabelSymbolTables()`
`protected void` | `createPhraseStructureNodeLabelColumnDescriptions()`
`protected void` | `createPhraseStructureNodeLabelSymbolTables()`
`protected void` | `createSecondaryEdgeLabelColumnDescriptions()`
`protected void` | `createSecondaryEdgeLabelSymbolTables()`
`ColumnDescription` | `getColumnDescriptionByName(String name)`
`DataFormatSpecification` | `getDataFormarSpec()`
`SortedMap<String,ColumnDescription>` | `getDependencyEdgeLabelColumnDescriptions()`
`SortedSet<ColumnDescription>` | `getDependencyEdgeLabelColumnDescriptionSet()`
`SortedMap<String,SymbolTable>` | `getDependencyEdgeLabelSymbolTables()`
`ColumnDescription` | `getHeadColumnDescription()`
`SortedMap<String,ColumnDescription>` | `getHeadColumnDescriptions()`
`SortedSet<ColumnDescription>` | `getHeadColumnDescriptionSet()`
`SortedMap<String,ColumnDescription>` | `getIgnoreColumnDescriptions()`
`SortedSet<ColumnDescription>` | `getIgnoreColumnDescriptionSet()`
`SortedMap<String,ColumnDescription>` | `getInputColumnDescriptions()`
`SortedSet<ColumnDescription>` | `getInputColumnDescriptionSet()`
`SortedMap<String,SymbolTable>` | `getInputSymbolTables()`
`SortedMap<String,ColumnDescription>` | `getPhraseStructureEdgeLabelColumnDescriptions()`
`SortedSet<ColumnDescription>` | `getPhraseStructureEdgeLabelColumnDescriptionSet()`
`SortedMap<String,SymbolTable>` | `getPhraseStructureEdgeLabelSymbolTables()`
`SortedMap<String,ColumnDescription>` | `getPhraseStructureNodeLabelColumnDescriptions()`
`SortedSet<ColumnDescription>` | `getPhraseStructureNodeLabelColumnDescriptionSet()`
`SortedMap<String,SymbolTable>` | `getPhraseStructureNodeLabelSymbolTables()`
`SortedMap<String,ColumnDescription>` | `getSecondaryEdgeLabelColumnDescriptions()`
`SortedSet<ColumnDescription>` | `getSecondaryEdgeLabelColumnDescriptionSet()`
`SortedMap<String,SymbolTable>` | `getSecondaryEdgeLabelSymbolTables()`
`SymbolTableHandler` | `getSymbolTables()`
`Iterator<ColumnDescription>` | `iterator()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataFormatInstance

    public DataFormatInstance(Map<String,DataFormatEntry> entries,
                              SymbolTableHandler symbolTables,
                              String nullValueStrategy,
                              DataFormatSpecification spec)
                       throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### addInternalColumnDescription

    public ColumnDescription addInternalColumnDescription(String name,
                                                          String category,
                                                          String type,
                                                          String defaultOutput,
                                                          String nullValueStrategy)
                                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### addInternalColumnDescription

    public ColumnDescription addInternalColumnDescription(String name,
                                                          int category,
                                                          int type,
                                                          String defaultOutput,
                                                          String nullValueStrategy)
                                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### addInternalColumnDescription

    public ColumnDescription addInternalColumnDescription(String name,
                                                          ColumnDescription column)
                                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getColumnDescriptionByName

    public ColumnDescription getColumnDescriptionByName(String name)

### iterator

    public Iterator<ColumnDescription> iterator()

  Specified by:
    `iterator` in interface `Iterable<ColumnDescription>`

### getDataFormarSpec

    public DataFormatSpecification getDataFormarSpec()

### createHeadColumnDescriptions

    protected void createHeadColumnDescriptions()

### getHeadColumnDescription

    public ColumnDescription getHeadColumnDescription()

### getHeadColumnDescriptions

    public SortedMap<String,ColumnDescription> getHeadColumnDescriptions()

### createDependencyEdgeLabelSymbolTables

    protected void createDependencyEdgeLabelSymbolTables()

### getDependencyEdgeLabelSymbolTables

    public SortedMap<String,SymbolTable> getDependencyEdgeLabelSymbolTables()

### createDependencyEdgeLabelColumnDescriptions

    protected void createDependencyEdgeLabelColumnDescriptions()

### getDependencyEdgeLabelColumnDescriptions

    public SortedMap<String,ColumnDescription> getDependencyEdgeLabelColumnDescriptions()

### createPhraseStructureEdgeLabelSymbolTables

    protected void createPhraseStructureEdgeLabelSymbolTables()

### getPhraseStructureEdgeLabelSymbolTables

    public SortedMap<String,SymbolTable> getPhraseStructureEdgeLabelSymbolTables()

### createPhraseStructureEdgeLabelColumnDescriptions

    protected void createPhraseStructureEdgeLabelColumnDescriptions()

### getPhraseStructureEdgeLabelColumnDescriptions

    public SortedMap<String,ColumnDescription> getPhraseStructureEdgeLabelColumnDescriptions()

### createPhraseStructureNodeLabelSymbolTables

    protected void createPhraseStructureNodeLabelSymbolTables()

### getPhraseStructureNodeLabelSymbolTables

    public SortedMap<String,SymbolTable> getPhraseStructureNodeLabelSymbolTables()

### createPhraseStructureNodeLabelColumnDescriptions

    protected void createPhraseStructureNodeLabelColumnDescriptions()

### getPhraseStructureNodeLabelColumnDescriptions

    public SortedMap<String,ColumnDescription> getPhraseStructureNodeLabelColumnDescriptions()

### createSecondaryEdgeLabelSymbolTables

    protected void createSecondaryEdgeLabelSymbolTables()

### getSecondaryEdgeLabelSymbolTables

    public SortedMap<String,SymbolTable> getSecondaryEdgeLabelSymbolTables()

### createSecondaryEdgeLabelColumnDescriptions

    protected void createSecondaryEdgeLabelColumnDescriptions()

### getSecondaryEdgeLabelColumnDescriptions

    public SortedMap<String,ColumnDescription> getSecondaryEdgeLabelColumnDescriptions()

### createInputSymbolTables

    protected void createInputSymbolTables()

### getInputSymbolTables

    public SortedMap<String,SymbolTable> getInputSymbolTables()

### createInputColumnDescriptions

    protected void createInputColumnDescriptions()

### getInputColumnDescriptions

    public SortedMap<String,ColumnDescription> getInputColumnDescriptions()

### createIgnoreColumnDescriptions

    protected void createIgnoreColumnDescriptions()

### getIgnoreColumnDescriptions

    public SortedMap<String,ColumnDescription> getIgnoreColumnDescriptions()

### getHeadColumnDescriptionSet

    public SortedSet<ColumnDescription> getHeadColumnDescriptionSet()

### getDependencyEdgeLabelColumnDescriptionSet

    public SortedSet<ColumnDescription> getDependencyEdgeLabelColumnDescriptionSet()

### getPhraseStructureEdgeLabelColumnDescriptionSet

    public SortedSet<ColumnDescription> getPhraseStructureEdgeLabelColumnDescriptionSet()

### getPhraseStructureNodeLabelColumnDescriptionSet

    public SortedSet<ColumnDescription> getPhraseStructureNodeLabelColumnDescriptionSet()

### getSecondaryEdgeLabelColumnDescriptionSet

    public SortedSet<ColumnDescription> getSecondaryEdgeLabelColumnDescriptionSet()

### getInputColumnDescriptionSet

    public SortedSet<ColumnDescription> getInputColumnDescriptionSet()

### getIgnoreColumnDescriptionSet

    public SortedSet<ColumnDescription> getIgnoreColumnDescriptionSet()

### getSymbolTables

    public SymbolTableHandler getSymbolTables()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.